Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040930
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-22 09:042019-06-27 09:39
Reportersamuel_nicuesaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionadfcfed3c8ab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040930: Printing layaway payment date is null doing partial payments.

DescriptionPrinting layaway payment date is null doing partial payments.
Steps To Reproduce[POS]

1 ) Create a layaway and add a product

2 ) Add a partial payment and layaway this receipt

3 ) In print template the date is correct

4 ) Go to Menu > Open Receipts and open the layaway

5 ) Add the pending payment and pay the ticket

6 ) In print template the date of the fist payment is null
TagsNo tags attached.
Attached Filespng file icon img.png [^] (19,349 bytes) 2019-05-22 09:04

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112513)
hgbot (developer)
2019-06-07 20:00

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: adfcfed3c8abff8a3acbb229b042a8d69b8b45ef
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Wed Jun 05 16:43:45 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/adfcfed3c8abff8a3acbb229b042a8d69b8b45ef [^]

Fixed issue 40930: Printing layaway payment date is null doing partial payments.

- Payment date value was set into loaded receipt and updated the layaway print
template

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/res/printlayaway.xml
---
(0113048)
jorge-garcia (developer)
2019-06-27 09:39

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-05-22 09:04 samuel_nicuesa New Issue
2019-05-22 09:04 samuel_nicuesa Assigned To => Retail
2019-05-22 09:04 samuel_nicuesa File Added: img.png
2019-05-22 09:04 samuel_nicuesa Triggers an Emergency Pack => No
2019-05-28 05:00 rqueralta Assigned To Retail => rqueralta
2019-05-28 05:00 rqueralta Status new => scheduled
2019-06-07 20:00 hgbot Checkin
2019-06-07 20:00 hgbot Note Added: 0112513
2019-06-07 20:00 hgbot Status scheduled => resolved
2019-06-07 20:00 hgbot Resolution open => fixed
2019-06-07 20:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/adfcfed3c8abff8a3acbb229b042a8d69b8b45ef [^]
2019-06-27 09:39 jorge-garcia Review Assigned To => jorge-garcia
2019-06-27 09:39 jorge-garcia Note Added: 0113048
2019-06-27 09:39 jorge-garcia Status resolved => closed
2019-06-27 09:39 jorge-garcia Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker